ServerEvents.recipes(event => {
    event.replaceInput(
        {id: 'immersive_aircraft:steel_boiler'},
        'minecraft:iron_ingot',
        global.ingotItem('steel')
    );

    
    event.replaceInput(
        {id: 'immersive_aircraft:steel_boiler'},
        'minecraft:blast_furnace',
        'allthecompressed:aluminum_block_1x'
    );
    event.shaped(
    'immersive_aircraft:airship', [
        'AAA',
        'ABA',
        'CCD'
    ], {
        'A': 'immersive_aircraft:sail',
        'B': 'immersive_aircraft:gyrodyne',
        'C': 'immersive_aircraft:hull',
        'D': 'immersive_aircraft:engine'
    });

    event.replaceInput(
        {output: 'immersive_aircraft:biplane'},
        'immersive_aircraft:engine',
        'immersive_aircraft:airship'
    );

    // Aircraft are slightly cheaper, aluminium is very abundant
    event.replaceInput(
        {mod: 'immersive_aircraft'},
        'minecraft:iron_ingot',
        global.ingotItem('aluminum')
    );

    event.replaceInput(
        {mod: 'immersive_aircraft'},
        'minecraft:cobblestone',
        '#forge:cobblestone'
    );

    event.replaceInput(
        {mod: 'immersive_aircraft'},
        'minecraft:furnace',
        '#kubejs:grist/energetic/basic'
    );

    // We actually have rubber, lets use it :D
    event.replaceInput(
        {output: 'immersive_aircraft:improved_landing_gear'},
        'minecraft:coal',
        '#forge:rubber'
    );

    event.shaped(
        'immersive_aircraft:industrial_gears', [
            '  A',
            ' B ',
            'C  '
        ], {
            'A': global.gearItem('brass'),
            'B': global.nuggetItem('aluminum'),
            'C': global.gearItem('steel')
        }
    );

    event.replaceInput(
        {output: 'immersive_aircraft:enhanced_propeller'},
        'minecraft:copper_ingot',
        global.ingotItem('invar')
    );
})